[arch-commits] Commit in kdebase-workspace/trunk (PKGBUILD kdebase-workspace.install)

Pierre Schmitz pierre at archlinux.org
Sun Sep 14 04:05:51 EDT 2008


    Date: Sunday, September 14, 2008 @ 04:05:51
  Author: pierre
Revision: 12368

move /env and /shutdown from /usr to /etc/kde; update icon-db on install

Added:
  kdebase-workspace/trunk/kdebase-workspace.install
Modified:
  kdebase-workspace/trunk/PKGBUILD

---------------------------+
 PKGBUILD                  |   17 +++++++++++------
 kdebase-workspace.install |   11 +++++++++++
 2 files changed, 22 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-14 07:53:27 UTC (rev 12367)
+++ PKGBUILD	2008-09-14 08:05:51 UTC (rev 12368)
@@ -10,16 +10,18 @@
 license=('GPL' 'LGPL' 'FDL')
 groups=('kde')
 depends=('kdelibs' 'kdebase-runtime' 'libcaptury' 'libxxf86misc' 'libxcomposite' 'libxres'
-	 'libxss' 'lm_sensors' 'libxinerama' 'libxklavier' 'qimageblitz')
+	 'libxss' 'lm_sensors' 'libxinerama' 'libxklavier' 'qimageblitz' 'xdg-utils')
 makedepends=('pkgconfig' 'cmake' 'automoc4' 'networkmanager' 'kdemultimedia')
 optdepends=('kdemultimedia')
 replaces=('kdmtheme' 'kde-common')
 conflicts=('kde-common')
 options=('docs')
-backup=('usr/share/config/kdm/kdmrc')
+install='kdebase-workspace.install'
+backup=('usr/share/config/kdm/kdmrc' 'etc/kde/env/agent-startup.sh' 
+        'etc/kde/shutdown/agent-shutdown.sh')
 source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2"
         'kdm-zsh-profile.patch' 'kdm' 'kde.pam' 'kde-np.pam' 'kscreensaver.pam'
-        'agent-startup.sh' 'agent-shutdown.sh')
+        'agent-startup.sh' 'agent-shutdown.sh' 'envdir.patch')
 md5sums=('53805b96727db2fe30773a3fa9f78b73'
          '721e97031b62aee8914e8617e86f9235'
          '5d80164932e0d44d8b802d3929a004ab'
@@ -27,11 +29,13 @@
          '552337fd9a3982d809ea16c7f0033d42'
          '367a3538f54db71f108b34cfa31088ac'
          'c963ef6e37c9051119972a58c67f05fb'
-         '18e8d01124b19f7df2937c06e177bf7f')
+         '18e8d01124b19f7df2937c06e177bf7f'
+         '873217f9d4702625bd8422345c668507')
 
 build() {
 	cd $srcdir/${pkgname}-${pkgver}
 	patch -p0 -i ${srcdir}/kdm-zsh-profile.patch || return 1
+	patch -p0 -i ${srcdir}/envdir.patch || return 1
 	cd ../
 	mkdir build
 	cd build
@@ -49,6 +53,7 @@
 	install -d -m755 ${pkgdir}/etc/X11/sessions/
 	ln -sf /usr/share/apps/kdm/sessions/kde{,-safe}.desktop ${pkgdir}/etc/X11/sessions/
 
-	install -m755 -D ${srcdir}/agent-startup.sh ${pkgdir}/usr/env/agent-startup.sh
-	install -m755 -D ${srcdir}/agent-shutdown.sh ${pkgdir}/usr/shutdown/agent-shutdown.sh
+	install -m755 -D ${srcdir}/agent-startup.sh ${pkgdir}/etc/kde/env/agent-startup.sh
+	install -m755 -D ${srcdir}/agent-shutdown.sh ${pkgdir}/etc/kde/shutdown/agent-shutdown.sh
+	ln -sf /usr/share/config/kdm/kdmrc ${pkgdir}/etc/kde/
 }

Added: kdebase-workspace.install
===================================================================
--- kdebase-workspace.install	                        (rev 0)
+++ kdebase-workspace.install	2008-09-14 08:05:51 UTC (rev 12368)
@@ -0,0 +1,11 @@
+post_install() {
+	xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+	post_install
+}
+
+post_remove() {
+	post_install
+}




More information about the arch-commits mailing list